普通注册 - 普通登录
开源之家-免费素材_软件_模板_源码下载-更快的站长下载站

开源之家-免费素材_软件_模板_源码下载-更快的站长下载站

低版本VS项目在VS2019无法正常编译的问题

时间:2020-08-05 14:19 [[其它教程]] 作者:转载 浏览:

低版本VS项目在VS2019无法正常编译的问题

这里指的编译并不准确,只是为了方便说明。

今天新装了VS2019想换个新环境,打开原来项目的时候发现大量报错,而项目原本是没有问题的,想着是可能由于VS2019升级了编译器(对应版本:

Microsoft.CodeDom.Providers.DotNetCompilerPlatform.2.0.0),上网查找后知道解决办法,记录在下。

问题说明

低版本VS项目在VS2019无法正常编译的问题

低版本VS项目在VS2019无法正常编译的问题

主要表现为:

错误列表中大量 “无法打开源文件”错误资源列表中许多文件无法包含前两个问题导致的代码中问题(格式、类型声明、定义等)解决方法

主要原因是开发平台工具集的缺失,VS2019不自动下载之前版本的工具集(安装时未主动选择的话)。

1、找到所需工具集版本

解决方案→项目属性→常规:平台工具集

低版本VS项目在VS2019无法正常编译的问题

图片中为解决后的界面,实际情况应为列表中有VS 2019(v142)和VS 201?(v140),且VS 201?后有(未安装),201?指项目原本开发工具

2、下载所需工具集

工具→获取工具和功能→可用→单个组件:往下翻找到“编译器、生成工具和运行时”,在其中选择对应工具集

低版本VS项目在VS2019无法正常编译的问题

比如我缺失的是VS 2015(v140)

安装后,在之前属性界面即可选择对应工具集

参考:https://www.wandouip.com/t5i207272/

转载请注明来源: 低版本VS项目在VS2019无法正常编译的问题

本文永久链接地址: https://www.enboo.cn/CMSjiaocheng/qitajiaocheng/21001.html

文本标签:低版本VS项目

郑重声明:
本站所有内容均由互联网收集整理、网友上传,并且以计算机技术研究交流为目的,仅供大家参考、学习,不存在任何商业目的与商业用途。
若您需要商业运营或用于其他商业活动,请您购买正版授权并合法使用。 我们不承担任何技术及版权问题,且不对任何资源负法律责任。
如无法链接失效或侵犯版权,请给我们来信:2225329841@qq.com